Bug 441292 - Impossible to paste into calculator widget
Summary: Impossible to paste into calculator widget
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: ux-ui (show other bugs)
Version: 5.1.2
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-21 13:01 UTC by Dawid Wróbel
Modified: 2021-08-22 14:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2021-08-21 13:01:51 UTC
SUMMARY
Calculator widget should allow to paste a value.

STEPS TO REPRODUCE
1. Open a calculator, e.g. when entering an amount in ledger
2. Try to copy a properly-formatted (i.e. locale-compatible) amount


OBSERVED RESULT
No effect

EXPECTED RESULT
The value should be pasted into the calculator
Comment 1 Thomas Baumgart 2021-08-22 14:10:59 UTC
Git commit 1719720b2e860aa433812cf4ac77f314035bc840 by Thomas Baumgart.
Committed on 22/08/2021 at 13:59.
Pushed by tbaumgart into branch 'master'.

Support pasting values into calculator

M  +72   -37   kmymoney/widgets/kmymoneycalculator.cpp
M  +0    -8    kmymoney/widgets/kmymoneycalculator.h

https://invent.kde.org/office/kmymoney/commit/1719720b2e860aa433812cf4ac77f314035bc840
Comment 2 Thomas Baumgart 2021-08-22 14:19:23 UTC
Git commit e8205a3dae8af6b80abc89aeeeb14c66c8384847 by Thomas Baumgart.
Committed on 22/08/2021 at 14:19.
Pushed by tbaumgart into branch '5.1'.

Support pasting values into calculator
FIXED-IN: 5.1.3

(cherry picked from commit 1719720b2e860aa433812cf4ac77f314035bc840)

M  +72   -37   kmymoney/widgets/kmymoneycalculator.cpp
M  +0    -8    kmymoney/widgets/kmymoneycalculator.h

https://invent.kde.org/office/kmymoney/commit/e8205a3dae8af6b80abc89aeeeb14c66c8384847